package at.bestsolution.cef;

import java.net.URL;

public interface Browser extends AutoCloseable {

    public boolean isReady();

    @Override
    public void close();
    
    public void wasResized();
    public void sendMouseMoveEvent(int x, int y, boolean mouseLeave);
    public void sendMouseWheelEvent(int x, int y, int deltaX, int deltaY);
    public void sendMouseClickEvent(int x, int y, boolean mouseUp, int clickCount);

    /**
     * Reload the current page.
     * @param ignoreCache if <code>true</code>, any cached data will be ignored
    */
    public void reload(boolean ignoreCache);

    /**
     * Load a new page in the browser.
     * @param url the URL to load in the browser.
     */
    public void load(URL url);
	
}
