package at.bestsolution.cef;

import java.nio.ByteBuffer;

public interface RenderHandler {
	/**
	 * Note that the memory represented by buffer is only guaranteed to be valid for the 
	 * duration of the method invocation. After the method returns, the buffer may become 
	 * invalid - if the data is needed afterwards it's the responsibility of the 
	 * implementation to ensure a suitable copy is made.
	 * 
	 * @param buffer 
	 * @param width
	 * @param height
	 */
    public void onPaint(ByteBuffer buffer, int width, int height);
    
    public Rectangle getViewRect();

    public default Rectangle getRootScreenRect() {
        return null;
    }

    public default ScreenInfo getScreenInfo() {
        return null;
    }

    public default Point getScreenPoint(int x, int y) {
        return null;
    }
}
