package at.bestsolution.cef.javafx;

import at.bestsolution.cef.Cef;
import at.bestsolution.cef.jni.JNICef;
import at.bestsolution.cef.util.CefMessageLoopManager;
import at.bestsolution.cef.util.CefMessageLoopManagerFactory;
import at.bestsolution.cef.util.OperatingSystem;
import at.bestsolution.cef.util.StandaloneMessageLoopManagerFactory;

public class DefaultCefMessageLoopManagerFactory implements CefMessageLoopManagerFactory {

    @Override
    public CefMessageLoopManager createMessageLoopManager(Cef cef) {
        if ( OperatingSystem.isMac() && cef instanceof JNICef ) {
            // MacOS requires running the message loop via the JavaFX App Thread - see comment / docs in factory implementation
            return new JfxAppThreadMessageLoopManagerFactory().createMessageLoopManager(cef);
        } else {
            return new StandaloneMessageLoopManagerFactory().createMessageLoopManager(cef);
        }
    }
    
}
