package at.bestsolution.cef.jni;

import java.net.URL;

import at.bestsolution.cef.Browser;
import at.bestsolution.cef.RenderHandler;

class JNIBrowser implements Browser {

    private final long nativeBrowserHandle;
    
    protected JNIBrowser(RenderHandler renderHandler, URL initialURL) {
        nativeBrowserHandle = createBrowser(initialURL != null ? initialURL.toString() : "about:blank", renderHandler);
    }

    @Override
    public void close() {
        closeBrowser();
    }

    @Override
    public native boolean isReady();

    @Override
    public native void wasResized();
    
    @Override
    public native void sendMouseMoveEvent(int x, int y, boolean mouseLeave);
    
    @Override
    public native void sendMouseWheelEvent(int x, int y, int deltaX, int deltaY);
    
    @Override
    public native void sendMouseClickEvent(int x, int y, boolean mouseUp, int clickCount);

    @Override
    public native void reload(boolean ignoreCache);

    @Override
    public void load(URL url) {
        loadURL( url != null ? url.toString() : "about:blank" );
    }

    private native long createBrowser(String url, RenderHandler handler);
    private native void closeBrowser();
    private native void loadURL(String url);
}
