package at.bestsolution.cef.util;

public class OperatingSystem {
	
	public enum OS {
		LINUX,
		MACOS,
		WINDOWS,
		
		UNKNOWN
	}
	
	private static OS currentOs = null;
	
	private OperatingSystem() {}
	
	public static OS getType() {
		if (currentOs == null) {
			String osName = System.getProperty("os.name").toLowerCase();
			if (osName.contains("windows")) {
				currentOs = OS.WINDOWS;
			} else if(osName.contains("mac")) {
				currentOs = OS.MACOS;
			} else if(osName.contains("linux")) {
				currentOs = OS.LINUX;
			} else {
				currentOs = OS.UNKNOWN;
			}
		}
		
		return currentOs;
	}
	
	public static boolean isLinux() {
		return getType() == OS.LINUX;
	}
	
	public static boolean isMac() {
		return getType() == OS.MACOS;
	}
	
	public static boolean isWindows() {
		return getType() == OS.WINDOWS;
	}

}
