package at.bestsolution.cef.util;

import java.util.concurrent.CompletableFuture;

import at.bestsolution.cef.Cef;

/**
 * Runs the CEF message loop in a separate thread.
 */
public class StandaloneMessageLoopManagerFactory implements CefMessageLoopManagerFactory {

    @Override
    public CefMessageLoopManager createMessageLoopManager(Cef cef) {
        return new CefMessageLoopManager() {
            @Override
            public CompletableFuture<Void> startMessageLoop() {
                return cef.start();
            }

            @Override
            public void stopMessageLoop() throws InterruptedException {
                cef.shutdown();
            }
            
        };
    }
    
}
